{ ... }:

{
  imports = [
    ./hardware-configuration.nix
  ];

  boot.loader.grub.devices = [ "/dev/sda" ];

  networking.hostName = "apprentix";

  crans = {
    enable = true;

    networking = {
      id = "50";
      srvNat.enable = true;
    };

    resticClient.when = "01:23";

    homeNounou.enable = false;

    users.root.passwordFile = ../../../secrets/apprentix/root.age;
  };

  security.sudo.extraRules = [
    {
      groups = [ "_user" ];
      commands = [ "ALL" ];
    }
  ];

  system.stateVersion = "24.11";
}
