{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./redlib.nix
  ];

  networking.hostName = "redite";
  boot.loader.grub.devices = [ "/dev/sda" ];

  crans = {
    enable = true;

    networking = {
      id = "39";
      srvNat.enable = true;
    };

    resticClient.when = "06:18";
  };

  system.stateVersion = "23.11";
}
